import { jsx } from "react/jsx-runtime";
import { SubsetOf as SubsetOf$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const SubsetOf = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "SubsetOf", ...props, children: /* @__PURE__ */ jsx(SubsetOf$1, { weight: variant }) });
  }
);
SubsetOf.displayName = "SubsetOf";
Object.assign(SubsetOf, { isGdsIcon: true });
export {
  SubsetOf
};
